Subject: Re: what should "git clean -n -f [-d] [-x] <pattern>" do?

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Jan 2024 21:53:54 -0800

Jeff King <[email-masked]> writes:

> I know that isn't necessarily relevant for new users today, but my point
> is mostly that we have clean.requireForce already and people would
> probably be annoyed if we took it away. :)

Sounds quite sane and sensible position.

My favourite question Git Rev News may ask their interviewee is "if
there were no existing users to worry about, what would you change
in Git?".  I have many things in my mind I would change if we could,
but they remain only in my fantasy, because we have to care, and I
have to fight for, those existing users who are silent majority,
simply due to the age of the tool.